<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output xml:space="preserve"/>
<xsl:template match="/">
<xsl:value-of select="/character/@name"/>
<xsl:if test="count(//player/@name) &gt; 0">
Player: <xsl:value-of select="//player/@name"/></xsl:if>
<xsl:if test="count(//concept/@concept) &gt; 0">
Concept: <xsl:value-of select="//concept/@concept"/></xsl:if>
<xsl:if test="count(//association/@name) &gt; 0">
Association: <xsl:value-of select="//association/@name"/>
<xsl:text>
    </xsl:text>
<xsl:value-of select="//association"/></xsl:if>

Character type: <xsl:value-of select="//charactertype/@choice"/>

Description
Gender: <xsl:value-of select="//description/@gender"/> | Age: <xsl:value-of select="//description/@age"/> | Height: <xsl:value-of select="//description/@height"/> | Weight: <xsl:value-of select="//description/@weight"/> 
Race: <xsl:value-of select="//description/@race"/> | Hair: <xsl:value-of select="//description/@hair"/> | Eyes: <xsl:value-of select="//description/@eyes"/> 
    
Strength: <xsl:value-of select="//strength/@total"/> Dexterity: <xsl:value-of select="//dexterity/@total"/> Constitution: <xsl:value-of select="//constitution/@total"/>
Intelligence: <xsl:value-of select="//intelligence/@total"/> Perception: <xsl:value-of select="//perception/@total"/> Willpower: <xsl:value-of select="//willpower/@total"/>
Life Points: <xsl:value-of select="//lifepoints/@total"/>
<xsl:if test="count(//dramapoints) = 0">
Endurance: <xsl:value-of select="//endurance/@total"/>
Speed: <xsl:value-of select="//speed/@total"/>
Essence: <xsl:value-of select="//essence/@total"/>
</xsl:if>
<xsl:if test="count(//extrastats) &gt; 0">
<xsl:text>
</xsl:text>
<xsl:value-of select="//extrastats"/>
</xsl:if>
        
<xsl:if test="//dramapoints/@points &gt; 0">
Drama Points: <xsl:value-of select="//dramapoints/@points"/></xsl:if>
<xsl:text>
</xsl:text>
Qualities and Drawbacks: Level (Cost/XPs) 
<xsl:for-each select="//quality"><xsl:value-of select="@col0"/>: <xsl:value-of select="@col1"/> (<xsl:value-of select="@col2"/>/<xsl:value-of select="@col3"/>), </xsl:for-each>

Skills: Level (Cost/XPs) 
<xsl:for-each select="//skill"><xsl:value-of select="@col0"/>: <xsl:value-of select="@col1"/> (<xsl:value-of select="@col2"/>/<xsl:value-of select="@col3"/>), </xsl:for-each>
<xsl:if test="count(//martialmaneuver) &gt; 0">

Combat Moves
<xsl:for-each select="//martialmaneuver"><xsl:value-of select="@name"/>: <xsl:value-of select="@value"/>, </xsl:for-each>
</xsl:if>
<xsl:if test="count(//visualization) &gt; 0">

Visualizations
<xsl:for-each select="//visualization"><xsl:value-of select="@name"/>: <xsl:value-of select="@value"/>, </xsl:for-each>
</xsl:if>
<xsl:if test="count(//meta) &gt; 0">

Metaphysics: Level (Cost/XPs) 
<xsl:for-each select="//meta"><xsl:value-of select="@col0"/>: <xsl:value-of select="@col1"/> (<xsl:value-of select="@col2"/>/<xsl:value-of select="@col3"/>), </xsl:for-each>
</xsl:if>
<xsl:if test="count(//altforms) &gt; 0">

Alternate Forms
<xsl:for-each select="//altforms/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:if>        
<xsl:if test="count(//equipment) &gt; 0">
            
Equipment
<xsl:for-each select="//equipment/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:if>
<xsl:if test="count(//notes) &gt; 0">
            
Notes
<xsl:for-each select="//notes/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:if>        
<xsl:if test="count(//history) &gt; 0">
            
History
<xsl:for-each select="//history/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:if>        
<xsl:if test="count(//contacts) &gt; 0">
            
Contacts
<xsl:for-each select="//contacts/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:if>

Character Sheet by <xsl:value-of select="/character/@UniForgeVersion"/>. Last Modified <xsl:value-of select="/character/@LastChange"/></xsl:template></xsl:stylesheet>