<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output xml:space="preserve"/>
<xsl:template match="/">!!!<xsl:value-of select="/character/@name"/>
<xsl:if test="count(//player/@name) &gt; 0">
__Player:__ <xsl:value-of select="//player/@name"/></xsl:if>
<xsl:if test="count(//association/@name) &gt; 0">
__Association:__ <xsl:value-of select="//association/@name"/>
''<xsl:value-of select="//association"/>''</xsl:if>
<xsl:if test="count(//concept/@concept) &gt; 0">
__Concept:__ <xsl:value-of select="//concept/@concept"/></xsl:if>
__Character Type:__ <xsl:value-of select="//charactertype/@choice"/>
<xsl:text>
</xsl:text>
|| ::__Experience__::  
__Saved XPs__ | <xsl:value-of select="//experience/@saved"/> 
__Spent XPs__ | <xsl:value-of select="//experience/@spent"/> ||

|| __Physical Attributes__ | | __Mental Attributes__ |  
Strength | <xsl:value-of select="//strength/@total"/> | Intelligence | <xsl:value-of select="//intelligence/@total"/>  
Dexterity | <xsl:value-of select="//dexterity/@total"/> | Perception | <xsl:value-of select="//perception/@total"/>  
Constitution | <xsl:value-of select="//constitution/@total"/> | Willpower | <xsl:value-of select="//willpower/@total"/> ||

|| __Secondary Attributes__ 
Life Points | <xsl:value-of select="//lifepoints/@total"/> 
<xsl:if test="count(//dramapoints) = 0">Endurance | <xsl:value-of select="//endurance/@total"/> 
Speed | <xsl:value-of select="//speed/@total"/> 
Essence | <xsl:value-of select="//essence/@total"/> || 
</xsl:if>
<xsl:if test="count(//extrastats) &gt; 0">
|| <xsl:value-of select="//extrastats"/> ||</xsl:if>

<xsl:if test="//dramapoints/@points &gt; 0">
|| __Drama Points__ | <xsl:value-of select="//dramapoints/@points"/> ||</xsl:if>

|| ::__Description__:: 
__Gender__ | <xsl:value-of select="//description/@gender"/> | __Age__ | <xsl:value-of select="//description/@age"/> | __Height__ | <xsl:value-of select="//description/@height"/> | __Weight__ | <xsl:value-of select="//description/@weight"/> 
__Race__ | <xsl:value-of select="//description/@race"/> | __Hair__ | <xsl:value-of select="//description/@hair"/> | __Eyes__ | <xsl:value-of select="//description/@eyes"/> ||

|| ::__Qualities and Drawbacks__:: 
__Name__ | __Level__ | __Cost__ | __XPs__ | __Notes__  <xsl:for-each select="//quality"><xsl:text>
</xsl:text><xsl:value-of select="@col0"/>| <xsl:value-of select="@col1"/> | <xsl:value-of select="@col2"/> | <xsl:value-of select="@col3"/> | <xsl:value-of select="."/></xsl:for-each>||

|| ::__Skills__:: 
__Name__ | __Level__ | __Cost__ | __XPs__ | __Notes__ <xsl:for-each select="//skill"><xsl:text>
</xsl:text><xsl:value-of select="@col0"/>| <xsl:value-of select="@col1"/> | <xsl:value-of select="@col2"/> | <xsl:value-of select="@col3"/> | <xsl:value-of select="."/></xsl:for-each>||

<xsl:if test="count(//meta) &gt; 0">
|| ::__Metaphysics__:: 
__Name__ | __Level__ | __Cost__ | __XPs__ | __Notes__  <xsl:for-each select="//meta"><xsl:text>
</xsl:text><xsl:value-of select="@col0"/>| <xsl:value-of select="@col1"/> | <xsl:value-of select="@col2"/> | <xsl:value-of select="@col3"/> | <xsl:value-of select="."/></xsl:for-each></xsl:if>||   
<xsl:if test="count(//martialmaneuver) &gt; 0">
|| ::__Combat Moves__:: <xsl:for-each select="//martialmaneuver"><xsl:text>
</xsl:text><xsl:value-of select="@name"/> | <xsl:value-of select="@value"/>  </xsl:for-each>||</xsl:if>

<xsl:if test="count(//visualization) &gt; 0">
|| ::__Visualizations__:: <xsl:for-each select="//visualization"><xsl:text>
</xsl:text><xsl:value-of select="@name"/> | <xsl:value-of select="@value"/> 
</xsl:for-each>||</xsl:if>

<xsl:if test="count(//altforms) &gt; 0">
^ __Alternate Forms__
<xsl:for-each select="//altforms/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>^
</xsl:if>        
<xsl:if test="count(//equipment) &gt; 0">
^ __Equipment__
<xsl:for-each select="//equipment/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>^
</xsl:if>
<xsl:if test="count(//notes) &gt; 0">
^ __Notes__ 
<xsl:for-each select="//notes/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>^
</xsl:if>        
<xsl:if test="count(//history) &gt; 0">
^ __History__ 
<xsl:for-each select="//history/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>^
</xsl:if>        
<xsl:if test="count(//contacts) &gt; 0">
^ __Contacts__
<xsl:for-each select="//contacts/p">
<xsl:value-of select="."/>
<xsl:text>
</xsl:text>
</xsl:for-each>^
</xsl:if>     
^ ''Character Sheet by <xsl:value-of select="/character/@UniForgeVersion"/>. Last Modified <xsl:value-of select="/character/@LastChange"/>'' ^</xsl:template></xsl:stylesheet>